OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockService

    java.lang.Object
      org.opennms.netmgt.mock.MockElement
          org.opennms.netmgt.mock.MockService

public class MockService
extends MockElement

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private Event` `m_outageEvent`
`private int` `m_pollCount`
`private java.util.Set` `m_pollingPkgNames`
`private int` `m_pollStatus`
`private int` `m_serviceId`
`private java.lang.String` `m_svcName`
`private java.util.List` `m_triggers`

Fields inherited from class org.opennms.netmgt.mock.MockElement
`m_parent`

Constructor Summary
`MockService(MockInterface iface, java.lang.String svcName, int serviceId)`

Method Summary
`void` `addAnticipator(PollAnticipator trigger)`
`Event` `createDeleteEvent()`
`Event` `createDownEvent()`
`Event` `createResponsiveEvent()`
`Event` `createUnresponsiveEvent()`
`Event` `createUpEvent()`
`int` `getId()`
`MockInterface` `getInterface()`
`java.lang.String` `getIpAddr()`
`(package private) java.lang.Object` `getKey()`
`java.lang.String` `getName()`
`MockNetwork` `getNetwork()`
`MockNode` `getNode()`
`int` `getNodeId()`
`java.lang.String` `getNodeLabel()`
`int` `getPollCount()`
`java.util.Set` `getPollingPackages()`
`int` `getPollStatus()`
`int` `poll(Package pkg)`
`void` `removeAnticipator(PollAnticipator trigger)`
`void` `resetPollCount()`
`void` `setOutageEvent(Event outageOpened)`
`void` `setPollStatus(int status)`
`java.lang.String` `toString()`
`void` `visit(MockVisitor v)`

Methods inherited from class org.opennms.netmgt.mock.MockElement
`bringDown, bringUnresponsive, bringUp, createDownEvent, createUpEvent, getParent, moveTo, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_pollCount

    private int m_pollCount

### m_pollingPkgNames

    private java.util.Set m_pollingPkgNames

### m_pollStatus

    private int m_pollStatus

### m_serviceId

    private int m_serviceId

### m_svcName

    private java.lang.String m_svcName

### m_triggers

    private java.util.List m_triggers

### m_outageEvent

    private Event m_outageEvent

Constructor Detail

### MockService

    public MockService(MockInterface iface,
                       java.lang.String svcName,
                       int serviceId)

Method Detail

### addAnticipator

    public void addAnticipator(PollAnticipator trigger)

  Specified by:
    `addAnticipator` in class `MockElement`

### getId

    public int getId()

### getInterface

    public MockInterface getInterface()

### getIpAddr

    public java.lang.String getIpAddr()

### getKey

    java.lang.Object getKey()

  Specified by:
    `getKey` in class `MockElement`

### getName

    public java.lang.String getName()

### getNetwork

    public MockNetwork getNetwork()

  Overrides:
    `getNetwork` in class `MockElement`

### getNode

    public MockNode getNode()

### getNodeId

    public int getNodeId()

### getNodeLabel

    public java.lang.String getNodeLabel()

### getPollCount

    public int getPollCount()

  Specified by:
    `getPollCount` in class `MockElement`

### getPollingPackages

    public java.util.Set getPollingPackages()

### getPollStatus

    public int getPollStatus()

  Specified by:
    `getPollStatus` in class `MockElement`

### poll

    public int poll(Package pkg)

### removeAnticipator

    public void removeAnticipator(PollAnticipator trigger)

  Specified by:
    `removeAnticipator` in class `MockElement`

### resetPollCount

    public void resetPollCount()

  Specified by:
    `resetPollCount` in class `MockElement`

### setPollStatus

    public void setPollStatus(int status)

### visit

    public void visit(MockVisitor v)

  Overrides:
    `visit` in class `MockElement`

### toString

    public java.lang.String toString()

### createDownEvent

    public Event createDownEvent()

  Specified by:
    `createDownEvent` in class `MockElement`
  Returns:

### createUpEvent

    public Event createUpEvent()

  Specified by:
    `createUpEvent` in class `MockElement`
  Returns:

### setOutageEvent

    public void setOutageEvent(Event outageOpened)

  Parameters:
    `outageOpened` -

### createUnresponsiveEvent

    public Event createUnresponsiveEvent()

  Returns:

### createResponsiveEvent

    public Event createResponsiveEvent()

  Returns:

### createDeleteEvent

    public Event createDeleteEvent()

  Specified by:
    `createDeleteEvent` in class `MockElement`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.